Summary:	Namespace-aware XML parser written in TeX
Name:		xmltex
Version:	3.1
Release:	%mkrel 1
License:	LPPL
Group:	        Publishing	
URL:	http://www.dcarlisle.demon.co.uk/xmltex/manual.html
Source0:	xmltex-1.9.tar.xz
Source1:	xmltex.1
Requires:       texlive
Requires(post): texlive
BuildArch:	noarch


%description
Namespace-aware XML parser written in TeX.

%prep
%setup -q -c xmltex-1.97
mv -f xmltex/base/* .

%build

%install
install -d $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m 0644 *.xmt %{name}.cfg *.ini *.tex $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex
ln -s pdftex ${RPM_BUILD_ROOT}%{_bindir}/pdf%{name}
ln -s latex ${RPM_BUILD_ROOT}%{_bindir}/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -c -p -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_mandir}/man1
ln -s xmltex.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/pdfxmltex.1

%post
[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :
for f in xmltex pdfxmltex; do
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --byfmt $f > /dev/null 2>&1
done
exit 0

%postun
[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

%triggerin -- texlive
for f in xmltex pdfxmltex; do
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --byfmt $f > /dev/null 2>&1
done
exit 0

%files
%doc readme.txt manual.html
%exclude %attr(755,root,root) %{_bindir}/xmltex
%attr(755,root,root) %{_bindir}/pdfxmltex
%{_datadir}/texmf/tex/xmltex
%{_mandir}/man1/xmltex.1*


%changelog
* Mon Feb 09 2015 bb <bb> 3.1-1pclos2015
- update to get rid of tetex

